> For the complete documentation index, see [llms.txt](https://docs.middle.app/middle-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.middle.app/middle-docs/guides/app-reference/abc-ignite/check-in-alerts.md).

# Check-in Alerts

Below are input parameters for the action to create an ABC check-in alert:

* `club_id`
* `member_id`
* `text`: the alert title (no more than 22 characters)
* `note`: the note attached to the alert (no more than 255 characters)
* `color`: red, blue, green, yellow, orange
* `showOneTime`: should the alert go away after the member checks in or should it continue to pop-up until manually removed or expired?
* `expirationDate`: when should the alert expire?
* `allowDoorAccess`: should the member be denied entry because of the alert?


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.middle.app/middle-docs/guides/app-reference/abc-ignite/check-in-alerts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
